javax.persistence.metamodel

## Interface EntityType<X>

- Type Parameters:
    `X` - The represented entity type.
  All Superinterfaces:
    Bindable<X>, IdentifiableType<X>, ManagedType<X>, Type<X>

      public interface EntityType<X>
      extends IdentifiableType<X>, Bindable<X>

  Instances of the type `EntityType` represent entity types.
  Since:
    Java Persistence 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type

      `Type.PersistenceType`

    - ### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable

      `Bindable.BindableType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Return the entity name.

    - ### Methods inherited from interface javax.persistence.metamodel.IdentifiableType

      `getDeclaredId, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasSingleIdAttribute, hasVersionAttribute`

    - ### Methods inherited from interface javax.persistence.metamodel.ManagedType

      `getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

    - ### Methods inherited from interface javax.persistence.metamodel.Type

      `getJavaType, getPersistenceType`

    - ### Methods inherited from interface javax.persistence.metamodel.Bindable

      `getBindableJavaType, getBindableType`

- - ### Method Detail

    - #### getName

          String getName()

      Return the entity name.
      Returns:
        entity name

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.